
%define oversion 22.08.3

Name: step
Summary: Step is an interactive physical simulator.
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
URL: http://www.kde.org/applications/games/
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/step-%{oversion}.tar.xz

BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}kdegames-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kguiaddons-devel
BuildRequires: kservice-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kiconthemes-devel
BuildRequires: kcompletion-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: eigen3

Requires:   libkdegames

%description
Step is an interactive physical simulator.
It allows you to explore the physical world
through simulations.

%files
%{_bindir}
%{_datadir}
%exclude %_kf5_docdir/HTML
#------------------------------------------------------------------------------

%package -n step-handbook
Summary: step handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n step-handbook
This package provides the step handbook.

%files -n step-handbook
%_kf5_docdir/HTML
#------------------------------------------------------------------------------

%prep
%setup -qn step-%{oversion}

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

rm -f %buildroot/%{_libdir}/libiris_step.so

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

